@import url("https://fonts.googleapis.com/css2?family=Hedvig+Letters+Serif:opsz@12..24&family=Roboto&display=swap");

a {
  text-decoration: none !important;
}

.titulo {
  font-family: "Hedvig Letters Serif", serif !important;
  padding: 0;
  margin: 0;
}

* {
  font-family: "Roboto", sans-serif;
}

#app {
  background-image: url("./imgs/background.png");
}

#logoSbgf:hover {
  transform: scale(1.1);
  transition-duration: 0.6s;
}

/* ANIMAÇÃO TITULO */
.ml6 {
  position: relative;
  font-weight: 900;
  font-size: 4em;
  padding: 0;
  margin: 0;
  word-break: break-word !important;
}

@media (max-width: 600px) {
  .ml6 {
    font-size: 2em;
  }
}

.ml6 .text-wrapper {
  position: relative;
  display: inline-block;
  overflow: hidden;
  text-align: center;
  word-break: break-word !important;
}

.ml6 .letter {
  display: inline-block;
  font-family: "Hedvig Letters Serif", serif;
  word-break: break-word !important;
}

.letraCapital::first-letter {
  initial-letter: 3;
  color: #0d6efd;
  font-size: 4em; /* Tamanho da letra capital */
  font-weight: bold; /* Peso da fonte (opcional) */
  float: left; /* Para que a letra capital flutue à esquerda do texto */
  margin-right: 5px; /* Espaçamento à direita da letra capital (opcional) */
}

.letraCapital {
  text-align: justify;
}

.justificar {
  text-align: justify;
}

.infoVerbeteInfo img {
  max-width: 100%;
}

#editor img {
  max-width: 100%;
}

#myTable_filter {
  margin-bottom: 10px;
}

canvas {
  border-radius: 5px;
  padding: 0;
  margin: 0;
}

.socialMedia a {
  text-decoration: none !important;
}

#categoriasSite {
  z-index: 1;
}

/* CONFIGURAÇÕES DO INFOVERBETE */
.ql-align-center {
  text-align: center !important;
}

.ql-align-right {
  text-align: right !important;
}

/* CONFIGURAÇÃO DO AUTOCOMPLETE */

.ui-autocomplete {
  position: absolute;
  top: 0;
  left: 0;
  cursor: default;
}
.ui-menu {
  background-color: white;
  padding: 10px;
  list-style: none;
  padding: 0;
  margin: 0;
  display: block;
  outline: 0;
  border: solid 2px #0d6efd;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  z-index: 2;
}
.ui-menu .ui-menu {
  position: absolute;
}
.ui-menu .ui-menu-item {
  margin: 0;
  cursor: pointer;
  /* support: IE10, see #8844 */
  list-style-image: url("data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7");
}
.ui-menu .ui-menu-item-wrapper {
  position: relative;
  padding: 10px;
  border: solid 1px #0d6efd;
}
.ui-menu .ui-menu-divider {
  margin: 5px 0;
  height: 0;
  font-size: 0;
  line-height: 0;
  border-width: 1px 0 0 0;
}
.ui-menu .ui-state-focus,
.ui-menu .ui-state-active {
  margin: -1px;
}

.ui-menu-item:hover {
  background-color: #0d6efd;
  color: white;
}

.ui-helper-hidden-accessible {
  display: none;
}

/* SCROLLBAR */
/* width */
::-webkit-scrollbar {
  width: 15px;
}

/* Track */
::-webkit-scrollbar-track {
  background-color: white;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #0d6efd;
  border-left: solid 2px white;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #07429c;
}

/* JOGO WORDLE */
#game-board {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.letter-box {
  border: 2px solid white;
  background-color: #0d6efd;
  border-radius: 3px;
  margin: 2px;
  font-size: 2.5rem;
  font-weight: 700;
  height: 3rem;
  width: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
}

.filled-box {
  border: 2px solid black;
}

.letter-row {
  display: flex;
}

#keyboard-cont {
  margin: 1rem 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#keyboard-cont div {
  display: flex;
}

.second-row {
  margin: 0.5rem 0;
}

.keyboard-button {
  font-size: 1rem;
  font-weight: 700;
  padding: 0.5rem;
  margin: 0 2px;
  cursor: pointer;
  text-transform: uppercase;
}

.stars {
  color: yellow;
}
